Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPhysicalDevice.EPCTagData

    java.lang.Object
      com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor
          com.connecterra.ale.reader.AbstractPhysicalDevice.TagData
              com.connecterra.ale.reader.AbstractPhysicalDevice.EPCTagData

All Implemented Interfaces:
  AbstractPhysicalDevice.EPCglobalTagReadProcessor

Enclosing class:
  AbstractPhysicalDevice

    public static class AbstractPhysicalDevice.EPCTagData

extends AbstractPhysicalDevice.TagData
implements AbstractPhysicalDevice.EPCglobalTagReadProcessor

Base class for TagProcessors that are associated with a DeviceUnit, and which contain DeviceTagReports that always store EPC data as the tag identity.

Field Summary

Fields inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice.TagData
`m_deviceUnit`

Constructor Summary
`AbstractPhysicalDevice.EPCTagData(DeviceUnit ant, DeviceTagReport rep)`

Method Summary
`ReadDeviceOpReport` | `readEPC()`

Methods inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice.TagData
`getDeviceUnit, start`

Methods inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor
`finish, getDeviceTagReport, getParameters, setDeviceTagReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPhysicalDevice.EPCTagData

    public AbstractPhysicalDevice.EPCTagData(DeviceUnit ant,
                                             DeviceTagReport rep)

Method Detail

### readEPC

    public ReadDeviceOpReport readEPC()

  Specified by:
    `readEPC` in interface `AbstractPhysicalDevice.EPCglobalTagReadProcessor`
  Returns:
    the ReadDeviceOpReport containing the EPC data contained on the associated tag. EPC data is stored in a long[2] which is prefaced with 0 bits, padding the value out to 128 bits.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD